FROM openshift/golang-builder:1.12 AS builder
ENV __doozer=update BUILD_RELEASE=202007272153.p0 BUILD_VERSION=v4.3.31 OS_GIT_MAJOR=4 OS_GIT_MINOR=3 OS_GIT_PATCH=31 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.3.31-202007272153.p0 SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=9696843 OS_GIT_VERSION=4.3.31-202007272153.p0-9696843 SOURCE_DATE_EPOCH=1591260517 SOURCE_GIT_COMMIT=969684362631b5d7c179a575dcd527e20b235fc4 SOURCE_GIT_TAG=96968436 SOURCE_GIT_URL=https://github.com/openshift/insights-operator 
WORKDIR /go/src/github.com/openshift/insights-operator
COPY . .
RUN make build

FROM openshift/ose-base:v4.3.31.20200727.215312
ENV __doozer=update BUILD_RELEASE=202007272153.p0 BUILD_VERSION=v4.3.31 OS_GIT_MAJOR=4 OS_GIT_MINOR=3 OS_GIT_PATCH=31 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.3.31-202007272153.p0 SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=9696843 OS_GIT_VERSION=4.3.31-202007272153.p0-9696843 SOURCE_DATE_EPOCH=1591260517 SOURCE_GIT_COMMIT=969684362631b5d7c179a575dcd527e20b235fc4 SOURCE_GIT_TAG=96968436 SOURCE_GIT_URL=https://github.com/openshift/insights-operator 
COPY --from=builder /go/src/github.com/openshift/insights-operator/bin/insights-operator /usr/bin/
COPY config/pod.yaml /etc/insights-operator/server.yaml
COPY manifests /manifests
ENTRYPOINT ["/usr/bin/insights-operator"]

LABEL \
        io.openshift.release.operator="true" \
        name="openshift/ose-insights-operator" \
        com.redhat.component="ose-insights-operator-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        io.openshift.maintainer.component="Insights operator" \
        release="202007272153.p0" \
        io.openshift.build.commit.id="969684362631b5d7c179a575dcd527e20b235fc4" \
        io.openshift.build.source-location="https://github.com/openshift/insights-operator" \
        io.openshift.build.commit.url="https://github.com/openshift/insights-operator/commit/969684362631b5d7c179a575dcd527e20b235fc4" \
        version="v4.3.31"

